Cocoon API: Class Utils

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.sql
Class Utils

    java.lang.Object
      |
      +--org.apache.cocoon.processor.sql.Utils

public class Utils
extends java.lang.Object

Utility methods for this processor.

Version:
  $Revision: 1.9 $ $Date: 2000/02/13 18:29:32 $
Author:
  Donald Ball

Field Summary
`static java.lang.String` | `ERROR_ELEMENT`
`static java.lang.String` | `ERROR_MESSAGE_ATTRIBUTE`
`static java.lang.String` | `ERROR_MESSAGE_ELEMENT`
`static java.lang.String` | `ERROR_MESSAGE_TEXT`
`static java.lang.String` | `ERROR_STACKTRACE_ATTRIBUTE`
`static java.lang.String` | `ERROR_STACKTRACE_ELEMENT`

Constructor Summary
`Utils()`

Method Summary
`static org.w3c.dom.Element` | `createElement(org.w3c.dom.Document document, java.lang.String namespace, java.lang.String name)`
`static org.w3c.dom.Element` | `createErrorElement(org.w3c.dom.Document document, java.lang.String namespace, java.util.Properties props, java.lang.Exception e)`
`static java.util.Properties` | `getAttributes(org.w3c.dom.Element element, javax.servlet.http.HttpServletRequest req, java.util.Properties master)`
`static java.util.Hashtable` | `getValues(javax.servlet.http.HttpServletRequest req)`
`static java.lang.String` | `join(java.util.Vector vector, char joiner)`
`static java.lang.String` | `replace(java.lang.String source, char target, java.lang.String replacement)`
`static java.util.Vector` | `split(java.lang.String source, char seperator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_ELEMENT

    public static final java.lang.String ERROR_ELEMENT

### ERROR_MESSAGE_ATTRIBUTE

    public static final java.lang.String ERROR_MESSAGE_ATTRIBUTE

### ERROR_MESSAGE_ELEMENT

    public static final java.lang.String ERROR_MESSAGE_ELEMENT

### ERROR_STACKTRACE_ATTRIBUTE

    public static final java.lang.String ERROR_STACKTRACE_ATTRIBUTE

### ERROR_STACKTRACE_ELEMENT

    public static final java.lang.String ERROR_STACKTRACE_ELEMENT

### ERROR_MESSAGE_TEXT

    public static final java.lang.String ERROR_MESSAGE_TEXT

Constructor Detail

### Utils

    public Utils()

Method Detail

### createErrorElement

    public static org.w3c.dom.Element createErrorElement(org.w3c.dom.Document document,
                                                         java.lang.String namespace,
                                                         java.util.Properties props,
                                                         java.lang.Exception e)

### replace

    public static java.lang.String replace(java.lang.String source,
                                           char target,
                                           java.lang.String replacement)

### createElement

    public static org.w3c.dom.Element createElement(org.w3c.dom.Document document,
                                                    java.lang.String namespace,
                                                    java.lang.String name)

### getValues

    public static java.util.Hashtable getValues(javax.servlet.http.HttpServletRequest req)

### getAttributes

    public static java.util.Properties getAttributes(org.w3c.dom.Element element,
                                                     javax.servlet.http.HttpServletRequest req,
                                                     java.util.Properties master)

### split

    public static java.util.Vector split(java.lang.String source,
                                         char seperator)

### join

    public static java.lang.String join(java.util.Vector vector,
                                        char joiner)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.